###################################################
### chunk number 1: preliminaries
###################################################
#line 125 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
library("bvpSolve")
options(prompt = " ")
options(continue = "  ")
options(width=70)


###################################################
### chunk number 2: 
###################################################
#line 285 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
fun<- function(x,y,pars) {
 list(c(y[2],
   1/ks * (-x*y[2]+y[1]-(1+ks*pi*pi)*cos(pi*x)-pi*x*sin(pi*x)))
     )
}


###################################################
### chunk number 3: 
###################################################
#line 294 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
ks <- 0.1
x  <- seq(-1, 1, by = 0.01)
print(system.time(
sol1  <- bvpshoot(yini = c(-1, NA), yend = c(1, NA),
                  x = x, func = fun, guess = 0)
))

print(system.time(
sol2  <- bvptwp(yini = c(-1, NA), yend = c(1, NA), x = x, func = fun)
))

print(system.time(
sol3  <- bvpcol(yini = c(-1, NA), yend = c(1, NA), x = x, func = fun)
))


###################################################
### chunk number 4: pr7a
###################################################
#line 323 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
plot(sol2[,1], sol2[,3], type = "l", main = "test problem 7, ksi=0.1",
     lwd = 2, col = "red")
points(sol1[,1], sol1[,3], col = "green", pch = "x")
legend("topright", c("bvptwp", "bvpshoot"),
        lty = c(1, NA, NA), pch = c(NA, 1, 3), col = c("red", "green"))


###################################################
### chunk number 5: pr7a
###################################################
#line 334 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
#line 323 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw#from line#334#"
plot(sol2[,1], sol2[,3], type = "l", main = "test problem 7, ksi=0.1",
     lwd = 2, col = "red")
points(sol1[,1], sol1[,3], col = "green", pch = "x")
legend("topright", c("bvptwp", "bvpshoot"),
        lty = c(1, NA, NA), pch = c(NA, 1, 3), col = c("red", "green"))
#line 335 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"


###################################################
### chunk number 6: 
###################################################
#line 347 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
ks <- 0.0005

print(system.time(
sol3  <- bvptwp(yini = c(-1, NA), yend = c(1, NA), x = seq(-1, 1, by = 0.01),
           func = fun, xguess = sol2[,1], yguess = t(sol2[,-1]))
))
print(system.time(
sol3b <- bvpcol(yini = c(-1, NA), yend = c(1, NA), x = seq(-1, 1, by = 0.01),
           func = fun, xguess = sol2[,1], yguess = t(sol2[,-1]))
))


###################################################
### chunk number 7: 
###################################################
#line 361 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
ks <- 0.0001
print(system.time(
sol3c <- bvpcol(yini = c(-1, NA), yend = c(1, NA), x = seq(-1, 1, by = 0.01),
           func = fun, yguess = sol3b)
))


###################################################
### chunk number 8: pr7b
###################################################
#line 371 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
plot(sol3, type = "l", lwd = 2, col = "red")



###################################################
### chunk number 9: pr7b
###################################################
#line 379 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
#line 371 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw#from line#379#"
plot(sol3, type = "l", lwd = 2, col = "red")

#line 380 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"


###################################################
### chunk number 10: 
###################################################
#line 417 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
fsub <- function (t,Y,pars)  { 
  return(list(c(f1 = Y[2],
                f2 = (Y[1]*Y[4] - Y[3]*Y[2])/eps,
                f3 = Y[4],
                f4 = Y[5],
                f5 = Y[6],
                f6 = (-Y[3]*Y[6] - Y[1]*Y[2])/eps)))
}
eps <- 0.001
x <- seq(0, 1, len = 100)


###################################################
### chunk number 11: 
###################################################
#line 431 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
print(system.time(
Soltwp <- bvptwp(x = x, func = fsub,
           yini = c(y1 = -1, y2 = NA, y3 = 0, y4 = 0, y5 = NA, y6 = NA),
           yend = c(1, NA, 0, 0, NA, NA))
))
print(system.time(
Solcol <- bvpcol(x = x, func = fsub,
           yini = c(y1 = -1, y2 = NA, y3 = 0, y4 = 0, y5 = NA, y6 = NA),
           yend = c(1, NA, 0, 0, NA, NA))
))


###################################################
### chunk number 12: 
###################################################
#line 449 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
diagnostics(Soltwp)
diagnostics(Solcol)


###################################################
### chunk number 13: swirl
###################################################
#line 455 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
pairs(Soltwp, main = "swirling flow III, eps=0.01", col = "blue")


###################################################
### chunk number 14: swirl
###################################################
#line 462 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
#line 455 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw#from line#462#"
pairs(Soltwp, main = "swirling flow III, eps=0.01", col = "blue")
#line 463 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"


###################################################
### chunk number 15: 
###################################################
#line 497 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
fsubhigh <- function (t,Y,pars)  { 
  return(list(c(d2g = (Y[1]*Y[4] - Y[3]*Y[2])/eps,
                d4f = (-Y[3]*Y[6] - Y[1]*Y[2])/eps)))
}
eps <- 0.001
x   <- seq(0, 1, len = 100)


###################################################
### chunk number 16: 
###################################################
#line 507 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
print(system.time(
Solcol2 <- bvpcol(x = x, func = fsubhigh, order = c(2, 4),
           yini = c(y1 = -1, y2 = NA, y3 = 0, y4 = 0, y5 = NA, y6 = NA),
           yend = c(1, NA, 0, 0, NA, NA))
))


###################################################
### chunk number 17: 
###################################################
#line 517 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
max(abs(Solcol2-Solcol))
diagnostics(Solcol2)


###################################################
### chunk number 18: 
###################################################
#line 524 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
print(system.time(
Soltwp2 <- bvptwp(x = x, func = fsubhigh, order = c(2, 4),
           yini = c(y1 = -1, y2 = NA, y3 = 0, y4 = 0, y5 = NA, y6 = NA),
           yend = c(1, NA, 0, 0, NA, NA))
))


###################################################
### chunk number 19: 
###################################################
#line 533 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
max(abs(Soltwp2- Soltwp))


###################################################
### chunk number 20: 
###################################################
#line 545 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
eps <- 0.0001
xguess <- Soltwp[,1]
yguess <- t(Soltwp[,2:7])


###################################################
### chunk number 21: 
###################################################
#line 550 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
print(system.time(
  Sol2 <- bvptwp(x = x, func = fsub, xguess = xguess, yguess = yguess, 
          yini = c(y1 = -1, y2 = NA, y3 = 0, y4 = 0, y5 = NA, y6 = NA),
          yend = c(1,            NA,      0,      0,      NA,      NA))
))


###################################################
### chunk number 22: 
###################################################
#line 560 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
print(system.time(
  Sol2b <- bvpcol(x = x, func = fsub, yguess = Solcol, 
          yini = c(y1 = -1, y2 = NA, y3 = 0, y4 = 0, y5 = NA, y6 = NA),
          yend = c(1,            NA,      0,      0,      NA,      NA))
))


###################################################
### chunk number 23: swirl2
###################################################
#line 573 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
plot(Sol2, col = "darkred", type = "l", lwd = 2)
mtext(outer = TRUE, side = 3, line = -1.5, cex = 1.5,
   "swirling flow III, eps=0.0001")


###################################################
### chunk number 24: swirl2
###################################################
#line 581 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
#line 573 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw#from line#581#"
plot(Sol2, col = "darkred", type = "l", lwd = 2)
mtext(outer = TRUE, side = 3, line = -1.5, cex = 1.5,
   "swirling flow III, eps=0.0001")
#line 582 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"


###################################################
### chunk number 25: swirl3
###################################################
#line 596 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
plot (Solcol, Sol2b, which = c("y1","y4"), lty = 1)


###################################################
### chunk number 26: swirl3
###################################################
#line 602 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
#line 596 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw#from line#602#"
plot (Solcol, Sol2b, which = c("y1","y4"), lty = 1)
#line 603 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"


###################################################
### chunk number 27: 
###################################################
#line 612 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
obsdat <- matrix (ncol = 2, data = 
      c(seq(0, 1, 0.2), c(-1, -0.4, -0.1, 0.1, 0.4, 1)))
colnames (obsdat) <- c("x", "y1")
obsdat


###################################################
### chunk number 28: swirl4
###################################################
#line 618 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
plot(Solcol, Sol2b, obs = obsdat)


###################################################
### chunk number 29: swirl4
###################################################
#line 624 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
#line 618 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw#from line#624#"
plot(Solcol, Sol2b, obs = obsdat)
#line 625 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"


###################################################
### chunk number 30: 
###################################################
#line 657 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
musn <- function(x,Y,pars) {
  with (as.list(Y),  {
    du <- 0.5 * u * (w - u) /v
    dv <- -0.5 * (w - u)
    dw <- (0.9 - 1000 * (w - y) - 0.5 * w * (w - u)) /z
    dz <- 0.5 * (w - u)
    dy <- -100 * (y - w)
    return(list(c(du, dv, dw, dz, dy)))
  })
}


###################################################
### chunk number 31: 
###################################################
#line 678 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
init <- c(u = 1, v = 1, w = 1, z = -10, y = NA)


###################################################
### chunk number 32: 
###################################################
#line 690 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
yend  <- function (Y, yini, pars)  with (as.list(Y), w-y)


###################################################
### chunk number 33: 
###################################################
#line 700 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
print(system.time(
sol   <-bvpshoot(yini = init, x = seq(0, 1, by = 0.05), func = musn,
           yend = yend, guess = 1, atol = 1e-10, rtol = 0)
))


###################################################
### chunk number 34: musn
###################################################
#line 707 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
plot(sol, type = "l", lwd = 2)
mtext(outer = TRUE, side = 3, line = -1.5, cex = 1.5, "musn")


###################################################
### chunk number 35: musn
###################################################
#line 715 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
#line 707 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw#from line#715#"
plot(sol, type = "l", lwd = 2)
mtext(outer = TRUE, side = 3, line = -1.5, cex = 1.5, "musn")
#line 716 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"


###################################################
### chunk number 36: 
###################################################
#line 727 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
bound <- function(i,y,pars) {
  with (as.list(y), {
    if (i ==1) return (u-1)
    if (i ==2) return (v-1)
    if (i ==3) return (w-1)
    if (i ==4) return (z+10)
    if (i ==5) return (w-y)
 })
}


###################################################
### chunk number 37: 
###################################################
#line 741 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
xguess <- seq(0, 1, len = 5)
yguess <- matrix(ncol = 5, (rep(c(1, 1, 1, -10, 0.91), times = 5)) )
rownames(yguess) <- c("u","v","w","z","y")
xguess
yguess


###################################################
### chunk number 38: 
###################################################
#line 754 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
print(system.time(
Sol <- bvptwp(yini = NULL, x = x, func = musn, bound = bound,
              xguess = xguess, yguess = yguess, leftbc = 4,
              atol = 1e-10)
))

print(system.time(
Sol2 <- bvpcol(yini = NULL, x = x, func = musn, bound = bound,
              xguess = xguess, yguess = yguess, leftbc = 4,
              atol = 1e-10)
))



###################################################
### chunk number 39: 
###################################################
#line 791 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
mathieu <- function(x,y,lambda)
    list(c(y[2],
        -(lambda - 10 * cos(2 * x)) * y[1]))


###################################################
### chunk number 40: 
###################################################
#line 799 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
init <- c(1, 0)
sol  <- bvpshoot(yini = init, yend = c(NA, 0), x = seq(0, pi, by = 0.01),
        func = mathieu, extra = 15)


###################################################
### chunk number 41: mat
###################################################
#line 805 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
plot(sol[,1:2])
mtext(outer = TRUE, side = 3, line = -1.5, cex = 1.5, "mathieu")


###################################################
### chunk number 42: mat
###################################################
#line 812 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
#line 805 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw#from line#812#"
plot(sol[,1:2])
mtext(outer = TRUE, side = 3, line = -1.5, cex = 1.5, "mathieu")
#line 813 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"


###################################################
### chunk number 43: 
###################################################
#line 821 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
attr(sol, "roots")  # root gives the value of "lambda" (17.10683)


###################################################
### chunk number 44: 
###################################################
#line 836 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
mathieu2 <- function(x,y,p)
    list(c(y[2],
        -(y[3] - 10 * cos(2 * x)) * y[1],
        0) )


###################################################
### chunk number 45: 
###################################################
#line 850 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
Sol <- bvptwp (yini = c(y = 1, dy = 0, lambda = NA), yend = c(NA, 0, NA),
        x = seq(0, pi, by = 0.01), func = mathieu2, xguess = c(0, pi),
        yguess = matrix(nrow = 3, data = rep(15, 6)) )


###################################################
### chunk number 46: mat2
###################################################
#line 856 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
plot(Sol, type = "l", lwd = 2)
mtext(outer = TRUE, side = 3, line = -1.5, cex = 1.5, 
     "mathieu - solved using bvptwp")


###################################################
### chunk number 47: mat2
###################################################
#line 864 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
#line 856 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw#from line#864#"
plot(Sol, type = "l", lwd = 2)
mtext(outer = TRUE, side = 3, line = -1.5, cex = 1.5, 
     "mathieu - solved using bvptwp")
#line 865 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"


###################################################
### chunk number 48: 
###################################################
#line 894 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
nerve <- function (t,y,T)
  list(c( 3 * T * (y[1] + y[2] - 1/3 * (y[1]^3) - 1.3),
        (-1/3) * T * (y[1] - 0.7 + 0.8 * y[2]) ))


###################################################
### chunk number 49: 
###################################################
#line 900 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
res<- function (Y,yini,T)
  c(Y[1] - yini[1],
    Y[2] - yini[2],
    T*(-1/3) * (yini[1] - 0.7 + 0.8 * yini[2]) - 1)


###################################################
### chunk number 50: 
###################################################
#line 909 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
yini <- c(y1 = NA, y2 = NA)
sol  <- bvpshoot(yini = yini, x = seq(0, 1, by = 0.01),
        func = nerve, guess = c(0.5,0.5), yend = res, extra = 2 * pi)


###################################################
### chunk number 51: 
###################################################
#line 915 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
attributes(sol)$root


###################################################
### chunk number 52: 
###################################################
#line 931 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
nerve3 <- function (t,y,p)
  list(c( 3 * y[3] * (y[1] + y[2] - 1/3 * (y[1]^3) - 1.3),
        (-1/3) * y[3] * (y[1] - 0.7 + 0.8 * y[2]) ,
        0,
        0,
        0)
  )


###################################################
### chunk number 53: 
###################################################
#line 942 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
bound <- function(i,y,p) {
 if (i == 1) return ( y[3]*(-1/3) * (y[1] - 0.7 + 0.8 * y[2]) - 1 )
 if (i == 2) return ( y[1] - y[4] )           
 if (i == 3) return ( y[2] - y[5] )           # left bnd
 if (i == 4) return ( y[1] - y[4] )           # right bnd
 if (i == 5) return ( y[2] - y[5] )
}


###################################################
### chunk number 54: 
###################################################
#line 957 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
xguess = seq(0, 1, by = 0.1)
yguess = matrix(nrow = 5, ncol = length(xguess), data = 5.)
yguess[1,] <- sin(2 * pi * xguess)
yguess[2,] <- cos(2 * pi * xguess)
rownames(yguess) <- c("y1", "y2", "T", "y1ini", "y2ini")


###################################################
### chunk number 55: 
###################################################
#line 966 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
Sol  <- bvptwp(func = nerve3, bound = bound, x = seq(0, 1, by = 0.01), 
        ynames = c("y", "dy", "T", "yi", "yj"),
        leftbc = 3, xguess = xguess, yguess = yguess)


###################################################
### chunk number 56: 
###################################################
#line 972 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
Sol[1,]


###################################################
### chunk number 57: nerve
###################################################
#line 975 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
plot(Sol, type = "l", lwd = 2, col = "darkblue")


###################################################
### chunk number 58: nerve
###################################################
#line 981 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
#line 975 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw#from line#981#"
plot(Sol, type = "l", lwd = 2, col = "darkblue")
#line 982 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"


###################################################
### chunk number 59: 
###################################################
#line 1011 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
fluid<-function(t, y, pars, R) {
 P    <- 0.7*R
 with(as.list(y),   {
  df = f1                       #f'
  df1= f2                       #f''
  df2= R * (f1^2 - f*f2)-A      #f'''
  dh = h1
  dh1= -R * f * h1 - 1
  dO = O1
  dO1= -P * f * O1             
  dA = 0                    # the constant to be estimated
  return(list(c(df, df1, df2, dh, dh1, dO, dO1, dA)))
 })
}

times  <- seq(0, 1, by = 0.01)
yini   <- c(f = 0, f1 = 0, f2 = NA, h = 0, h1 = NA, O = 0, O1 = NA, A = NA)
yend   <- c(1,          0,      NA,     0,      NA,     1,      NA,     NA)

print (system.time(
Solcol1 <- bvpcol(func=fluid, x=times, parms=NULL, R=10000,
                 yini = yini, yend=yend)
))                 


###################################################
### chunk number 60: 
###################################################
#line 1041 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
fluidHigh <- function(t, y, pars, R) {
 P    <- 0.7 * R
 with(as.list(y),   {
  d3f = R * (f1^2 - f * f2) - A      #f'''
  d2h = -R * f * h1 - 1
  d2O = -P * f * O1               
  dA  = 0
  return(list(c(d3f, d2h, d2O, dA)))
 })
}

times  <- seq(0, 1, by = 0.01)
yini   <- c(f = 0, f1 = 0, f2 = NA, h = 0, h1 = NA, O = 0, O1 = NA, A = NA)
yend   <- c(1,          0,      NA,     0,      NA,     1,      NA,     NA)

print (system.time(
Solcol2 <- bvpcol(func = fluidHigh, x = times, parms = NULL, R = 10000, 
                  order = c(3, 2, 2, 1), yini = yini, yend=yend)
))


###################################################
### chunk number 61: 
###################################################
#line 1066 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
head(Solcol1, n = 3)
head(Solcol2, n = 3)


###################################################
### chunk number 62: fluid
###################################################
#line 1071 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
plot(Solcol1, main="Fluid injection problem", 
     which = "f1", type = "l", lwd = 2)


###################################################
### chunk number 63: fluid
###################################################
#line 1079 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
#line 1071 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw#from line#1079#"
plot(Solcol1, main="Fluid injection problem", 
     which = "f1", type = "l", lwd = 2)
#line 1080 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"


###################################################
### chunk number 64: 
###################################################
#line 1114 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
multip <- function (x, y, p) {
  list(c((y[2] - 1)/2, 
         (y[1]*y[2] - x)/mu))
}

bound <- function (i, y, p) {
  if (i == 1) y[2] -1         # at x=0.5: y2=1
  else y[1]                   # at x=  1: y1=0
}

mu  <- 0.1
sol <- bvpcol(func = multip, bound = bound, 
              x = seq(0, 1, 0.01), posbound = c(0.5, 1))


###################################################
### chunk number 65: 
###################################################
#line 1130 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
sol[sol[,1] %in% c(0.5,1),]


###################################################
### chunk number 66: multipoint
###################################################
#line 1133 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
plot(sol)


###################################################
### chunk number 67: multipoint
###################################################
#line 1139 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
#line 1133 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw#from line#1139#"
plot(sol)
#line 1140 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"


###################################################
### chunk number 68: 
###################################################
#line 1174 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
Elastica <- function (x, y, pars) {

  list( c(cos(y[3]),
          sin(y[3]),
          y[4],
          y[5] * cos(y[3]),
          0))
}

Sol <- bvptwp(func = Elastica,
              yini = c(x = 0,  y = 0, p = NA,   k = 0,  F = NA),
              yend = c(x = NA, y = 0, p = -pi/2,k = NA, F = NA),
              x = seq(0, 0.5, len = 16))


###################################################
### chunk number 69: elastica
###################################################
#line 1189 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
plot(Sol)


###################################################
### chunk number 70: elastica
###################################################
#line 1195 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
#line 1189 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw#from line#1195#"
plot(Sol)
#line 1196 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"


###################################################
### chunk number 71: 
###################################################
#line 1215 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"


jacfunc <- function (x, y, pars) {
      Jac <- matrix(nrow = 5, ncol = 5, data = 0)
      Jac[3,4] <- 1.0
      Jac[4,4] <- 1.0
      Jac[1,3] <- -sin(y[3])
      Jac[2,3] <- cos(y[3])
      Jac[4,3] <- -y[5] * sin(y[3])
      Jac[4,5] <- Jac[2,3]
      Jac
}


###################################################
### chunk number 72: 
###################################################
#line 1230 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
bound <- function (i, y, pars)  {
    if      (i <= 2) return(y[i])
    else if (i == 3) return(y[4])
    else if (i == 4) return(y[2])
    else if (i == 5) return(y[3] + pi/2)
}


###################################################
### chunk number 73: 
###################################################
#line 1238 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
jacbound <- function(i, y, pars)  {
    JJ <- rep(0, 5)
         if (i <= 2) JJ[i] =1.0
    else if (i == 3) JJ[4] =1.0
    else if (i == 4) JJ[2] =1.0
    else if (i == 5) JJ[3] =1.0
    JJ
}


###################################################
### chunk number 74: 
###################################################
#line 1251 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
Sol4 <- bvptwp(leftbc = 3, ynames = c("x", "y", "p", "k", "F"),
              func = Elastica, jacfunc = jacfunc,
              bound = bound, jacbound = jacbound,
              x = seq(0, 0.5, len=16))


###################################################
### chunk number 75: 
###################################################
#line 1484 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
outF <- bvptwp(ncomp = 5,
               x = seq(0, 0.5, len = 16), leftbc = 3, func = "fsub", 
               jacfunc = "dfsub", bound = "gsub", jacbound = "dgsub",
               dllname = "bvpSolve")


###################################################
### chunk number 76: 
###################################################
#line 1547 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
fun <- function(t,y,pars)
  list(c( y[2],
        - a * p * y[1]/(p + t*t)^2
        ))


###################################################
### chunk number 77: 
###################################################
#line 1554 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
p    <- 1e-5
a    <- 3


###################################################
### chunk number 78: 
###################################################
#line 1561 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
sol  <- bvptwp(yini = c(y = -0.1/sqrt(p+0.01), dy = NA),
               yend = c(     0.1/sqrt(p+0.01),      NA),
               x = seq(-0.1, 0.1, by = 0.001),
               func = fun)


###################################################
### chunk number 79: linear
###################################################
#line 1567 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
plot(sol, type = "l")


###################################################
### chunk number 80: linear
###################################################
#line 1573 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
#line 1567 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw#from line#1573#"
plot(sol, type = "l")
#line 1574 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"


###################################################
### chunk number 81: 
###################################################
#line 1653 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
parms <- c(a = 3, p = 1e-7)


###################################################
### chunk number 82: 
###################################################
#line 1673 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
Out  <- NULL
x    <- seq(-0.1, 0.1, by = 0.001)
pseq <- 10^-seq(0, 6, 0.5)

for (pp in pseq) {
  parms[2] <- pp
  outFor <- bvptwp(ncomp = 2, x = x, leftbc = 1, 
     initfunc = "initbnd", parms = parms, func = "funbnd", 
     jacfunc = "dfbnd", bound = "gbnd", jacbound = "dgbnd",
     allpoints = FALSE, dllname = "bvpSolve")
  Out <- cbind(Out, outFor[,2])
}


###################################################
### chunk number 83: 
###################################################
#line 1690 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"


###################################################
### chunk number 84: linf
###################################################
#line 1692 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
matplot(x, Out, type = "l")
legend("topleft", legend = log10(pseq), title = "logp",
  col = 1 : length(pseq), lty = 1 : length(pseq), cex = 0.6)


###################################################
### chunk number 85: linf
###################################################
#line 1700 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"
#line 1692 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw#from line#1700#"
matplot(x, Out, type = "l")
legend("topleft", legend = log10(pseq), title = "logp",
  col = 1 : length(pseq), lty = 1 : length(pseq), cex = 0.6)
#line 1701 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpSolve.Rnw"


