###################################################
### chunk number 1: preliminaries
###################################################
#line 92 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
library("bvpSolve")
options(prompt = " ")
options(continue = "  ")
options(width=70)


###################################################
### chunk number 2: 
###################################################
#line 168 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob1 <- function(t, y, pars) {
   list(c( y[2] , y[1]/xi ))
}


###################################################
### chunk number 3: 
###################################################
#line 174 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <- 0.1
print(system.time(
  mod1 <- bvpshoot(yini = c(1, NA), yend = c(0, NA), x = seq(0, 1, by=0.01),
            func = Prob1, guess = 0)))
print(system.time(
  mod1 <- bvptwp(yini = c(1, NA),yend=c(0, NA),x = seq(0, 1, by = 0.01),
            func = Prob1)))
print(system.time(
  mod1 <- bvpcol(yini = c(1, NA),yend=c(0, NA),x = seq(0, 1, by = 0.01),
            func = Prob1)))


###################################################
### chunk number 4: 
###################################################
#line 187 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <-0.01
mod2  <- bvptwp(yini = c(1, NA), yend = c(0, NA), x = seq(0, 1, by = 0.01),
            func = Prob1)


###################################################
### chunk number 5: 
###################################################
#line 193 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <-0.001
mod3  <- bvptwp(yini = c(1, NA), yend = c(0, NA), x = seq(0, 1, by = 0.01),
           func = Prob1)


###################################################
### chunk number 6: prob1
###################################################
#line 199 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 1")

# exact solution
curve(exp(-x/sqrt(xi))-exp((x-2)/sqrt(xi))/(1-exp(-2/sqrt(xi))),
      0, 1, add = TRUE, type = "p")


###################################################
### chunk number 7: prob1
###################################################
#line 209 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 199 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#209#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 1")

# exact solution
curve(exp(-x/sqrt(xi))-exp((x-2)/sqrt(xi))/(1-exp(-2/sqrt(xi))),
      0, 1, add = TRUE, type = "p")
#line 210 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 8: 
###################################################
#line 224 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob2 <- function(t, y, pars) {
  list( y[2]/xi )
}
xi <-0.2
mod1 <- bvpshoot(yini = c(1, NA), yend = c(0, NA), x = seq(0, 1, by = 0.01),
                  order = 2, func = Prob2, guess = 0)


###################################################
### chunk number 9: 
###################################################
#line 234 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <-0.1
mod2 <- bvptwp(yini = c(1, NA), yend = c(0, NA), x = seq(0, 1, by = 0.01),
                order = 2, func = Prob2, atol = 1e-10)
xi <- 0.01
mod3 <- bvptwp(yini = c(1, NA), yend = c(0, NA), x = seq(0, 1, by = 0.01),
                order = 2, func = Prob2, atol = 1e-10)
xi <- 0.001
mod4 <- bvpcol(yini = c(1, NA), yend = c(0, NA), x = seq(0, 1, by = 0.01),
                order = 2, func = Prob2, atol = 1e-10)


###################################################
### chunk number 10: prob2
###################################################
#line 246 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, mod4, which = 1, lty = 1, main = "test problem 2")
xi <- 0.01
curve((1-exp((x-1)/xi))/(1-exp(-1/xi)), 0, 1, type = "p", add = TRUE)


###################################################
### chunk number 11: prob2
###################################################
#line 254 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 246 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#254#"
plot(mod1, mod2, mod3, mod4, which = 1, lty = 1, main = "test problem 2")
xi <- 0.01
curve((1-exp((x-1)/xi))/(1-exp(-1/xi)), 0, 1, type = "p", add = TRUE)
#line 255 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 12: 
###################################################
#line 269 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob3 <- function(x, y, pars) {
  list(c( y[2],
         1/xi * (-(2+cos(pi*x)) * y[2] + y[1]-
          (1 + xi*pi*pi) * cos(pi*x)-
          (2 + cos(pi*x))* pi * sin(pi*x))
      ))
}


###################################################
### chunk number 13: 
###################################################
#line 278 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <-0.1
mod1 <- bvpshoot(yini = c(-1, NA), yend = c(-1, NA), 
                   x = seq(-1, 1, by=0.01), func = Prob3, guess = 0)


###################################################
### chunk number 14: 
###################################################
#line 283 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <-0.01
mod2 <- bvptwp(yini = c(-1, NA), yend = c(-1, NA), 
                 x = seq(-1, 1, by=0.01), func = Prob3)
xi <-0.001
mod3 <- bvpcol(yini = c(-1, NA), yend = c(-1, NA), 
                 x = seq(-1, 1, by=0.01), func = Prob3)


###################################################
### chunk number 15: prob3
###################################################
#line 291 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 3")
curve(cos(pi*x), -1, 1, type = "p", add = TRUE)


###################################################
### chunk number 16: prob3
###################################################
#line 298 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 291 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#298#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 3")
curve(cos(pi*x), -1, 1, type = "p", add = TRUE)
#line 299 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 17: 
###################################################
#line 314 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob4 <- function(t, y, pars) {
  list((-y[2] + (1+xi)*y[1])/xi )
}
yini <- c(1 + exp(-2), NA)


###################################################
### chunk number 18: 
###################################################
#line 320 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.5
yend <- c(1 + exp(-2*(1+xi)/xi), NA)
mod1  <- bvpshoot(yini = yini, yend = yend, x = seq(-1, 1, by = 0.01),
                   order = 2, func = Prob4, guess = 0)
xi   <- 0.1
yend <- c(1 + exp(-2*(1+xi)/xi), NA)
mod2  <- bvptwp(yini = yini, yend = yend, x = seq(-1, 1, by = 0.01),
                 order = 2, func = Prob4)
xi <- 0.01
yend <- c(1 + exp(-2*(1+xi)/xi), NA)
mod3  <- bvptwp(yini = yini,yend = yend,x = seq(-1, 1, by = 0.01),
                  order = 2, func = Prob4)


###################################################
### chunk number 19: prob4
###################################################
#line 334 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 4")
curve(exp(x-1) + exp(-(1+xi)*(1+x)/xi), -1, 1, type = "p", add = TRUE)


###################################################
### chunk number 20: prob4
###################################################
#line 341 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 334 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#341#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 4")
curve(exp(x-1) + exp(-(1+xi)*(1+x)/xi), -1, 1, type = "p", add = TRUE)
#line 342 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 21: 
###################################################
#line 357 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob5 <- function(x, y, pars) {
  list(c( y[2],
          x * y[2] + y[1] - (1+pi*pi) * cos(pi*x) + pi*x*sin(pi*x) ))
}


###################################################
### chunk number 22: 
###################################################
#line 363 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <- 0.1
mod1 <- bvpshoot(yini = c(-1, NA), yend = c(-1, NA),
                   x=seq(-1, 1, by = 0.01), func = Prob5, guess = 0)


###################################################
### chunk number 23: 
###################################################
#line 368 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
mod2 <- bvptwp(yini = c(-1, NA), yend = c(-1, NA),
                 x=seq(-1, 1, by = 0.01), func = Prob5)


###################################################
### chunk number 24: prob5
###################################################
#line 372 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, which = 1, lty = 1, main = "test problem 5")
curve(cos(pi*x), -1, 1, type = "p", add = TRUE)


###################################################
### chunk number 25: prob5
###################################################
#line 379 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 372 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#379#"
plot(mod1, mod2, which = 1, lty = 1, main = "test problem 5")
curve(cos(pi*x), -1, 1, type = "p", add = TRUE)
#line 380 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 26: 
###################################################
#line 399 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob6 <- function(t, y, pars) {
  list(1/xi * (-t*y[2] - xi*pi*pi*cos(pi*t) - pi*t*sin(pi*t)) )
}


###################################################
### chunk number 27: 
###################################################
#line 404 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi    <- 0.1
mod1 <- bvpshoot(yini = c(-2, NA), yend = c(0, NA), 
            order = 2, x = seq(-1, 1, by = 0.01), func = Prob6, guess = 0)
xi    <- 0.01
mod2 <- bvptwp(yini = c(-2, NA), yend = c(0, NA), 
            order = 2, x = seq(-1, 1, by = 0.01), func = Prob6)
xi    <- 0.001
mod3 <- bvptwp(yini = c(-2, NA), yend = c(0, NA), 
            order = 2, x = seq(-1, 1, by = 0.01), func = Prob6)


###################################################
### chunk number 28: prob6
###################################################
#line 415 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 6")
erf <- function(x) 2 * pnorm(x * sqrt(2)) - 1
curve(cos(pi*x) + erf(x/sqrt(2*xi))/erf(1/sqrt(2*xi)), -1, 1, 
      type = "p", add = TRUE)



###################################################
### chunk number 29: prob6
###################################################
#line 425 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 415 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#425#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 6")
erf <- function(x) 2 * pnorm(x * sqrt(2)) - 1
curve(cos(pi*x) + erf(x/sqrt(2*xi))/erf(1/sqrt(2*xi)), -1, 1, 
      type = "p", add = TRUE)

#line 426 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 30: 
###################################################
#line 441 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
prob7 <- function(x, y, pars) {
  list(c(y[2],
     1/xi * (-x*y[2]+y[1] - (1+xi*pi*pi)*cos(pi*x)-pi*x*sin(pi*x)))   )
}

x  <- seq(-1, 1, by = 0.01)


###################################################
### chunk number 31: 
###################################################
#line 449 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.01
mod1  <- bvptwp(yini = c(-1, NA), yend = c(1, NA), x = x, func = prob7)
xi   <- 0.001
mod2 <- bvptwp(yini = c(-1, NA), yend = c(1, NA), x = x, func = prob7)


###################################################
### chunk number 32: 
###################################################
#line 456 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <- 0.0005
mod3  <- bvptwp(yini = c(-1, NA), yend = c(1, NA), x = x, func = prob7,
  xguess = mod2[,1], yguess = t(mod2[,-1]))


###################################################
### chunk number 33: prob7
###################################################
#line 461 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = c(2,1), type = "l", lty = 1,
     main = c("dy", "y"), xlab = "x", ylab = "y")
erf <- function(x) 2 * pnorm(x * sqrt(2)) - 1
curve(cos(pi*x) + x + (x*erf(x/sqrt(2*xi))+sqrt(2*xi/pi)*exp(-x^2/2/xi))/
         (erf(1/(2*xi))+sqrt(2*xi/pi)*exp(-1/2/xi)),
         -1, 1, type = "p", add = TRUE)


###################################################
### chunk number 34: prob7
###################################################
#line 473 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 461 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#473#"
plot(mod1, mod2, mod3, which = c(2,1), type = "l", lty = 1,
     main = c("dy", "y"), xlab = "x", ylab = "y")
erf <- function(x) 2 * pnorm(x * sqrt(2)) - 1
curve(cos(pi*x) + x + (x*erf(x/sqrt(2*xi))+sqrt(2*xi/pi)*exp(-x^2/2/xi))/
         (erf(1/(2*xi))+sqrt(2*xi/pi)*exp(-1/2/xi)),
         -1, 1, type = "p", add = TRUE)
#line 474 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 35: 
###################################################
#line 489 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
prob8 <- function(x, y, pars) {
  list(-1/xi*y[2])
}

x  <- seq(0,1,by=0.01)


###################################################
### chunk number 36: 
###################################################
#line 496 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi    <- 0.2
mod1 <- bvpshoot(yini = c(1, NA), yend = c(2, NA), x = x,
                  order = 2, func = prob8, guess = 0)
xi   <- 0.1
mod2 <- bvptwp(yini = c(1, NA), yend = c(2, NA), x = x,
                  order = 2, func = prob8)
xi   <- 0.01
mod3 <- bvptwp(yini = c(1, NA), yend = c(2, NA), x = x,
                  order = 2, func = prob8)


###################################################
### chunk number 37: prob8
###################################################
#line 507 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 8")
curve(2-exp(-1/xi)-exp(-x/xi)/(1-exp(-1/xi)), 
      0, 1, add = TRUE, type = "p")


###################################################
### chunk number 38: prob8
###################################################
#line 516 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 507 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#516#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 8")
curve(2-exp(-1/xi)-exp(-x/xi)/(1-exp(-1/xi)), 
      0, 1, add = TRUE, type = "p")
#line 517 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 39: 
###################################################
#line 531 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob9 <- function(x, y, pars) {
  list(c( y[2], -1/(xi+x^2)*(4*x*y[2]+2*y[1]) ))
}


###################################################
### chunk number 40: 
###################################################
#line 536 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <-0.05
mod1 <- bvptwp(yini = c(1/(1+xi), NA), yend = c(1/(1+xi), NA),
               x = seq(-1, 1, by = 0.01), func = Prob9)


###################################################
### chunk number 41: 
###################################################
#line 541 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <-0.02
mod2 <- bvptwp(yini = c(1/(1+xi), NA), yend = c(1/(1+xi), NA),
               x = seq(-1, 1, by = 0.01), func = Prob9)


###################################################
### chunk number 42: 
###################################################
#line 546 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <-0.01
mod3 <- bvptwp(yini = c(1/(1+xi), NA), yend = c(1/(1+xi), NA),
               x = seq(-1, 1, by = 0.01), func = Prob9)


###################################################
### chunk number 43: prob9
###################################################
#line 551 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 9")
# exact
curve(1/(xi+x^2), -1, 1, type = "p", add = TRUE)


###################################################
### chunk number 44: prob9
###################################################
#line 559 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 551 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#559#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 9")
# exact
curve(1/(xi+x^2), -1, 1, type = "p", add = TRUE)
#line 560 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 45: 
###################################################
#line 576 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob10 <- function(x, y, pars) {
  list( -1/xi*x*y[2] )
}


###################################################
### chunk number 46: 
###################################################
#line 581 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi    <-0.1
mod1 <- bvpshoot(yini = c(0, NA), yend = c(2, NA), 
           order = 2, x = seq(-1, 1, by = 0.01), func=Prob10, guess = 0)
xi   <- 0.05
mod2 <- bvptwp(yini = c(0, NA), yend = c(2, NA), 
           order = 2, x = seq(-1, 1, by = 0.01), func=Prob10)
xi   <- 0.01
mod3 <- bvptwp(yini = c(0, NA), yend = c(2, NA), 
           order = 2, x = seq(-1, 1, by = 0.01), func=Prob10)


###################################################
### chunk number 47: prob10
###################################################
#line 592 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 10")

erf <- function(x) 2 * pnorm(x * sqrt(2)) - 1
curve(1+erf(x/sqrt(2*xi))/erf(1/sqrt(2*xi)),
      -1, 1, type = "p", add = TRUE)


###################################################
### chunk number 48: prob10
###################################################
#line 602 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 592 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#602#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 10")

erf <- function(x) 2 * pnorm(x * sqrt(2)) - 1
curve(1+erf(x/sqrt(2*xi))/erf(1/sqrt(2*xi)),
      -1, 1, type = "p", add = TRUE)
#line 603 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 49: 
###################################################
#line 618 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob11 <- function(x, y, pars) {
  list(c(y[2], 1/xi * (y[1]-(xi*pi*pi+1)*cos(pi*x)) ))
}


###################################################
### chunk number 50: 
###################################################
#line 623 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <-0.1
print(system.time(
mod1 <- bvpshoot(yini = c(-1, NA), yend = c(-1, NA), guess = 0,
                   x = seq(-1, 1, by=0.01), func = Prob11, atol = 1e-10)
))
print(system.time(
mod2 <- bvptwp(yini = c(-1, NA), yend = c(-1, NA),
               x = seq(-1, 1, by=0.01), func = Prob11, atol = 1e-10)
))


###################################################
### chunk number 51: prob11
###################################################
#line 634 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, which = 1, lty = 1, main = "test problem 11")
curve(cos(pi*x), -1, 1, type = "p", add= TRUE)


###################################################
### chunk number 52: prob11
###################################################
#line 641 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 634 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#641#"
plot(mod1, mod2, which = 1, lty = 1, main = "test problem 11")
curve(cos(pi*x), -1, 1, type = "p", add= TRUE)
#line 642 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 53: 
###################################################
#line 658 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob12 <- function(x, y, pars) {
  list(1/xi * (y[1]-(xi*pi*pi+1)*cos(pi*x)))
}


###################################################
### chunk number 54: 
###################################################
#line 663 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi    <- 0.01
mod1 <- bvpshoot(yini = c(-1, NA), yend = c(0, NA),
           order = 2, x = seq(-1, 1, by = 0.01), func = Prob12, guess = 0)


###################################################
### chunk number 55: 
###################################################
#line 668 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.0025
mod2 <- bvptwp(yini = c(-1, NA), yend = c(0, NA),
           order = 2, x = seq(-1, 1, by = 0.01), func = Prob12)


###################################################
### chunk number 56: 
###################################################
#line 673 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.0001
mod3 <- bvptwp(yini = c(-1, NA), yend = c(0, NA),
           order = 2, x = seq(-1, 1, by = 0.01), func = Prob12)


###################################################
### chunk number 57: prob12
###################################################
#line 678 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 12")
curve(cos(pi*x)+exp((x-1)/sqrt(xi)), 
      -1, 1, type = "p", add = TRUE)


###################################################
### chunk number 58: prob12
###################################################
#line 686 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 678 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#686#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 12")
curve(cos(pi*x)+exp((x-1)/sqrt(xi)), 
      -1, 1, type = "p", add = TRUE)
#line 687 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 59: 
###################################################
#line 704 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob13 <- function(x, y, pars)  {
  list(c( y[2], 1/xi*(y[1]-(xi*pi*pi+1)*cos(pi*x)) ))
}


###################################################
### chunk number 60: 
###################################################
#line 709 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi    <- 0.01
mod1 <- bvpshoot(yini = c(0, NA), yend = c(-1, NA),
                  x = seq(-1, 1, by=0.01), func = Prob13, guess = 0)


###################################################
### chunk number 61: 
###################################################
#line 714 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.0025
mod2 <- bvptwp(yini = c(0, NA), yend = c(-1, NA),
               x = seq(-1, 1, by=0.01), func = Prob13)


###################################################
### chunk number 62: 
###################################################
#line 719 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi    <- 0.0001
mod3 <- bvptwp(yini = c(0, NA), yend = c(-1, NA),
                x = seq(-1, 1, by=0.01), func = Prob13)


###################################################
### chunk number 63: prob13
###################################################
#line 724 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 13")
curve(cos(pi*x)+exp(-(x+1)/sqrt(xi)), 
      -1, 1, type = "p", add = TRUE)


###################################################
### chunk number 64: prob13
###################################################
#line 732 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 724 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#732#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 13")
curve(cos(pi*x)+exp(-(x+1)/sqrt(xi)), 
      -1, 1, type = "p", add = TRUE)
#line 733 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 65: 
###################################################
#line 749 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob14 <- function(x, y, pars)  {
  list(1/xi*(y[1]-(xi*pi*pi+1)*cos(pi*x)))
}


###################################################
### chunk number 66: 
###################################################
#line 754 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi    <- 0.01
mod1 <- bvpshoot(yini = c(0, NA), yend = c(0, NA), 
         order = 2, x = seq(-1, 1, by = 0.01), func = Prob14, guess = 0)


###################################################
### chunk number 67: 
###################################################
#line 759 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.0025
mod2 <- bvptwp(yini = c(0, NA), yend = c(0, NA), 
            order = 2, x = seq(-1, 1, by = 0.01), func = Prob14)


###################################################
### chunk number 68: 
###################################################
#line 764 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi    <- 0.0001
mod3 <- bvptwp(yini = c(0, NA), yend = c(0, NA), 
            order = 2, x = seq(-1, 1, by = 0.01), func = Prob14)


###################################################
### chunk number 69: prob14
###################################################
#line 769 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 14")
curve(cos(pi*x)+exp((x-1)/sqrt(xi))+exp(-(x+1)/sqrt(xi)),
      -1, 1, type = "p", add = TRUE)


###################################################
### chunk number 70: prob14
###################################################
#line 777 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 769 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#777#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 14")
curve(cos(pi*x)+exp((x-1)/sqrt(xi))+exp(-(x+1)/sqrt(xi)),
      -1, 1, type = "p", add = TRUE)
#line 778 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 71: 
###################################################
#line 790 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob15 <- function(x, y, pars)  {
  list(c( y[2], 1/xi*x*y[1] ))
}


###################################################
### chunk number 72: 
###################################################
#line 795 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <-0.003
print(system.time(
mod1 <- bvpshoot(yini = c(1, NA), yend = c(1, NA),
                   x = seq(-1, 1, by = 0.01), func = Prob15, guess = 0)
))


###################################################
### chunk number 73: 
###################################################
#line 802 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <- 0.005
print(system.time(
mod2 <- bvptwp(yini = c(1, NA), yend = c(1, NA),
               x = seq(-1, 1, by = 0.01), func = Prob15)
))
xi <- 0.005
print(system.time(
mod3 <- bvpcol(yini = c(1, NA), yend = c(1, NA),
               x = seq(-1, 1, by = 0.01), func = Prob15)
))


###################################################
### chunk number 74: 
###################################################
#line 814 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <- 0.01
print(system.time(
mod4 <- bvptwp(yini = c(1, NA), yend = c(1, NA),
            x = seq(-1, 1, by = 0.01), func = Prob15)
))


###################################################
### chunk number 75: prob15
###################################################
#line 821 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, mod4, which = 1, lty = 1, main = "test problem 15")


###################################################
### chunk number 76: prob15
###################################################
#line 827 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 821 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#827#"
plot(mod1, mod2, mod3, mod4, which = 1, lty = 1, main = "test problem 15")
#line 828 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 77: 
###################################################
#line 843 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob16 <- function(x, y, pars) {
  list(-1/xi^2*pi^2*y[1]/4 )
}


###################################################
### chunk number 78: 
###################################################
#line 848 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <-0.11
print(system.time(
mod1 <- bvpshoot(yini = c(0,NA),yend = c(sin(pi/2/xi), NA),
                   x = seq(0, 1, by=0.01), func = Prob16, guess = 0, 
                   order = 2, atol = 1e-10)
))


###################################################
### chunk number 79: prob16
###################################################
#line 856 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, which = 1, main = "test problem 16", col = "blue")
curve(sin(pi*x/2/xi), 0, 1, type = "p", add = TRUE)


###################################################
### chunk number 80: prob16
###################################################
#line 863 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 856 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#863#"
plot(mod1, which = 1, main = "test problem 16", col = "blue")
curve(sin(pi*x/2/xi), 0, 1, type = "p", add = TRUE)
#line 864 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 81: 
###################################################
#line 877 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob17 <- function(x, y, pars)  {
  list(c( y[2], -3*xi*y[1]/(xi+x^2)^2 ))
}

xseq <- seq(-0.1, 0.1, by = 0.001)


###################################################
### chunk number 82: 
###################################################
#line 884 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.01
mod1 <- bvptwp(yini = c(-0.1/sqrt(xi+0.01), NA),
                yend = c(0.1/sqrt(xi+0.01), NA), x = xseq,
                func = Prob17, atol = 1e-10)
xi   <- 0.001
mod2 <- bvptwp(yini = c(-0.1/sqrt(xi+0.01), NA),
                yend = c(0.1/sqrt(xi+0.01), NA), x = xseq,
                func = Prob17, atol = 1e-8)
xi   <- 0.0001
mod3 <- bvptwp(yini = c(-0.1/sqrt(xi+0.01), NA),
                yend = c(0.1/sqrt(xi+0.01), NA), x = xseq,
                func = Prob17, atol = 1e-8)


###################################################
### chunk number 83: prob17
###################################################
#line 898 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 17")
curve(x/sqrt(xi+x^2), -0.1, 0.1, type = "p", add = TRUE)


###################################################
### chunk number 84: prob17
###################################################
#line 905 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 898 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#905#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 17")
curve(x/sqrt(xi+x^2), -0.1, 0.1, type = "p", add = TRUE)
#line 906 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 85: 
###################################################
#line 920 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob18 <- function(x, y, pars) {
  list( -1/xi*y[2])  
}

xseq<-seq(0,1,by=0.01)


###################################################
### chunk number 86: 
###################################################
#line 927 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <-0.2
mod1 <- bvpshoot(yini = c(1, NA), yend = c(exp(-1/xi), NA), x = xseq,
              order = 2, func = Prob18, guess = 0, atol = 1e-10)


###################################################
### chunk number 87: 
###################################################
#line 932 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <- 0.1
mod2 <- bvptwp(yini = c(1, NA), yend = c(exp(-1/xi), NA), x = xseq,
              order = 2, func = Prob18, atol = 1e-10)


###################################################
### chunk number 88: 
###################################################
#line 937 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <- 0.01
mod3 <- bvptwp(yini = c(1, NA), yend = c(exp(-1/xi), NA), x = xseq,
              order = 2, func = Prob18, atol = 1e-10)


###################################################
### chunk number 89: prob18
###################################################
#line 942 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 18")
curve(exp(-x/xi), 0, 1, type = "p", add = TRUE)


###################################################
### chunk number 90: prob18
###################################################
#line 949 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 942 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#949#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 18")
curve(exp(-x/xi), 0, 1, type = "p", add = TRUE)
#line 950 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 91: 
###################################################
#line 965 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob19 <- function(t, y, pars, ksi) {
  pit = pi*t
  list(c(y[2],(pi/2*sin(pit/2)*exp(2*y[1])-exp(y[1])*y[2])/ksi))
}


###################################################
### chunk number 92: 
###################################################
#line 971 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi    <- 0.05
mod1 <- bvpshoot(yini = c(0, NA), yend = c(0, NA), 
         x = seq(0, 1, by = 0.01), func = Prob19, guess = 0, ksi = xi)
xi <- 0.03
mod2 <- bvptwp(yini = c(0, NA), yend = c(0, NA), 
               x = seq(0, 1, by = 0.01), func = Prob19, ksi = xi, 
               atol = 1e-15)
xi <- 0.005
mod3 <- bvptwp(yini = c(0, NA), yend = c(0, NA), 
                x = seq(0, 1, by = 0.01), func = Prob19, ksi = xi, 
                atol = 1e-10)


###################################################
### chunk number 93: prob19
###################################################
#line 984 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 19")


###################################################
### chunk number 94: prob19
###################################################
#line 990 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 984 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#990#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 19")
#line 991 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 95: 
###################################################
#line 1005 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob20 <- function(x, y, pars) {
  list( 1/xi *(1-y[2]^2) )
}


###################################################
### chunk number 96: 
###################################################
#line 1010 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi  <- 0.5
ini <- c(1+xi * log(cosh(0.745/xi)), NA)
end <- c(1+xi * log(cosh(0.255/xi)), NA)
mod1 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by=0.01),
            order = 2, func = Prob20)
xi  <- 0.3
ini <- c(1+xi * log(cosh(0.745/xi)), NA)
end <- c(1+xi * log(cosh(0.255/xi)), NA)
mod2 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by=0.01),
            order = 2, func = Prob20)
xi  <- 0.01
ini <- c(1+xi * log(cosh(0.745/xi)), NA)
end <- c(1+xi * log(cosh(0.255/xi)), NA)
mod3 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by=0.01),
                order = 2, func = Prob20)


###################################################
### chunk number 97: prob20
###################################################
#line 1027 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 20")
curve(1+xi * log(cosh((x-0.745)/xi)), 0, 1, add = TRUE, type = "p")


###################################################
### chunk number 98: prob20
###################################################
#line 1034 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 1027 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#1034#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 20")
curve(1+xi * log(cosh((x-0.745)/xi)), 0, 1, add = TRUE, type = "p")
#line 1035 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 99: 
###################################################
#line 1048 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob21 <- function(x, y, pars, xi) {
  list(c( y[2], 1/xi *(y[1]+y[1]^2-exp(-2*x/sqrt(xi))) ))
}
ini <- c(1, NA)


###################################################
### chunk number 100: 
###################################################
#line 1054 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi  <- 0.2
end <- c(exp(-1/sqrt(xi)), NA)
mod1 <- bvpshoot(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
                   func = Prob21, guess = 0, xi = xi)
xi  <- 0.1
end <- c(exp(-1/sqrt(xi)), NA)
mod2 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               func = Prob21, xi = xi)
xi  <- 0.01
end <- c(exp(-1/sqrt(xi)), NA)
mod3 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
                func = Prob21, xi = xi)


###################################################
### chunk number 101: prob21
###################################################
#line 1068 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 21")
curve(exp(-x/sqrt(xi)), 0, 1, add = TRUE, type = "p")


###################################################
### chunk number 102: prob21
###################################################
#line 1075 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 1068 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#1075#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 21")
curve(exp(-x/sqrt(xi)), 0, 1, add = TRUE, type = "p")
#line 1076 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 103: 
###################################################
#line 1090 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob22 <- function(t, y, pars, xi) {
  list( -1/xi *(y[2]+y[1]^2) )
}

ini <- c(0, NA)
end <- c(1/2, NA)


###################################################
### chunk number 104: 
###################################################
#line 1098 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <-0.1
mod1 <- bvpshoot(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
              order = 2, func = Prob22, guess = 0, xi = xi)


###################################################
### chunk number 105: 
###################################################
#line 1103 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <-0.05
mod2 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
              order = 2, func = Prob22, xi = xi)


###################################################
### chunk number 106: 
###################################################
#line 1108 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <- 0.01
mod3 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
              order = 2, func = Prob22, xi = xi)


###################################################
### chunk number 107: prob22
###################################################
#line 1113 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 22")


###################################################
### chunk number 108: prob22
###################################################
#line 1119 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 1113 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#1119#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 22")
#line 1120 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 109: 
###################################################
#line 1134 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob23 <- function(t, y, pars, xi) {
  list(c( y[2], sinh(y[1]/xi)/xi) )
}

ini <- c(0, NA)
end <- c(1, NA)


###################################################
### chunk number 110: 
###################################################
#line 1142 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <- 1/5
mod1 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
                func = Prob23, xi = xi)


###################################################
### chunk number 111: 
###################################################
#line 1147 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <- 1/7
mod2 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               func = Prob23, xi = xi)


###################################################
### chunk number 112: 
###################################################
#line 1152 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <- 1/9
mod3 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
                func = Prob23, xi = xi)


###################################################
### chunk number 113: prob23
###################################################
#line 1157 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 23")


###################################################
### chunk number 114: prob23
###################################################
#line 1163 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 1157 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#1163#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 23")
#line 1164 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 115: 
###################################################
#line 1182 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob24 <- function(t, y, pars, xi) {
  A <- 1+t*t
  AA <- 2*t
  ga <- 1.4
  list((((1+ga)/2 -xi*AA)*y[1]*y[2]-y[2]/y[1]-
       (AA/A)*(1-(ga-1)*y[1]^2/2))/(xi*A*y[1])  )
}

ini <- c(0.9129, NA)
end <- c(0.375, NA)


###################################################
### chunk number 116: 
###################################################
#line 1194 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.05
mod1 <- bvpshoot(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
            order = 2, func = Prob24, guess = 0.9, xi = xi)


###################################################
### chunk number 117: 
###################################################
#line 1199 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <- 0.02
mod2 <- bvpshoot(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
            order = 2,  func = Prob24, guess = 0.9, xi = xi)
attributes(mod2)$roots         # has FAILED: f.root too large!


###################################################
### chunk number 118: 
###################################################
#line 1209 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <- 0.02
mod2 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
                order = 2, func = Prob24, xi = xi, 
                xguess = mod2[,1], yguess = t(mod2[,2:3]))
xi <- 0.01
mod3 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
                order = 2, func = Prob24, xi = xi,
                xguess = mod2[,1], yguess = t(mod2[,2:3]))


###################################################
### chunk number 119: prob24
###################################################
#line 1219 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3,  which = 1, lty = 1, main = "test problem 24")


###################################################
### chunk number 120: prob24
###################################################
#line 1225 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 1219 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#1225#"
plot(mod1, mod2, mod3,  which = 1, lty = 1, main = "test problem 24")
#line 1226 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 121: 
###################################################
#line 1248 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob25 <- function(t, y, pars, xi) {
  list(c( y[2], -1/xi *(y[1]*y[2]-y[1]) ))
}

ini <- c(-1/3 ,NA)
end <- c(1/3, NA)


###################################################
### chunk number 122: 
###################################################
#line 1256 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.1
mod1 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               func = Prob25, xi = xi)
xi   <- 0.01
mod2 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               func = Prob25, xi = xi)
xi   <- 0.001
mod3 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               func = Prob25, xi = xi)


###################################################
### chunk number 123: prob25
###################################################
#line 1267 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 25")


###################################################
### chunk number 124: prob25
###################################################
#line 1273 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 1267 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#1273#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 25")
#line 1274 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 125: 
###################################################
#line 1289 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob26 <- function(t, y, pars, xi)  {
  list(  -1/xi *(y[1]*y[2]-y[1]) )
}

ini <- c(1, NA)
end <- c(-1/3, NA)


###################################################
### chunk number 126: 
###################################################
#line 1297 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.1
mod1 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               order = 2, func = Prob26, xi = xi)


###################################################
### chunk number 127: 
###################################################
#line 1302 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.02
mod2 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               order = 2, func = Prob26, xi = xi)


###################################################
### chunk number 128: 
###################################################
#line 1307 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.005
mod3 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               order = 2, func = Prob26, xi = xi)


###################################################
### chunk number 129: prob26
###################################################
#line 1312 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 26")


###################################################
### chunk number 130: prob26
###################################################
#line 1318 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 1312 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#1318#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 26")
#line 1319 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 131: 
###################################################
#line 1332 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob27 <- function(t, y, pars, xi) {
  list(c( y[2], -1/xi *(y[1]*y[2]-y[1]) ))
}

ini <- c(1, NA)
end <- c(1/3, NA)


###################################################
### chunk number 132: 
###################################################
#line 1340 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.1
mod1 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               func = Prob27, xi = xi)


###################################################
### chunk number 133: 
###################################################
#line 1345 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.02
mod2 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               func = Prob27, xi = xi)


###################################################
### chunk number 134: 
###################################################
#line 1350 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.005
mod3 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               func = Prob27, xi = xi)


###################################################
### chunk number 135: prob27
###################################################
#line 1355 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 27")


###################################################
### chunk number 136: prob27
###################################################
#line 1361 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 1355 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#1361#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 27")
#line 1362 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 137: 
###################################################
#line 1376 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob28 <- function(t, y, pars, xi)  {
  list(  -1/xi *(y[1]*y[2]-y[1]))
}

ini <- c(1, NA)
end <- c(3/2, NA)


###################################################
### chunk number 138: 
###################################################
#line 1384 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.1
mod1 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               order = 2, func = Prob28, xi = xi)


###################################################
### chunk number 139: 
###################################################
#line 1389 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <-0.02
mod2 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               order = 2, func = Prob28, xi = xi)


###################################################
### chunk number 140: 
###################################################
#line 1394 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <-0.005
mod3 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               order = 2, func = Prob28, xi = xi)


###################################################
### chunk number 141: prob28
###################################################
#line 1399 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 28")


###################################################
### chunk number 142: prob28
###################################################
#line 1405 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 1399 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#1405#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 28")
#line 1406 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 143: 
###################################################
#line 1419 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob29 <- function(t, y, pars, xi)  {
  list(c( y[2], -1/xi *(y[1]*y[2]-y[1]) ))
}

ini <- c(0,NA)
end <- c(3/2,NA)


###################################################
### chunk number 144: 
###################################################
#line 1427 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.1
mod1 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               func = Prob29, xi = xi)


###################################################
### chunk number 145: 
###################################################
#line 1432 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.02
mod2 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               func = Prob29, xi = xi)


###################################################
### chunk number 146: 
###################################################
#line 1437 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.005
mod3 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               func = Prob29, xi = xi)


###################################################
### chunk number 147: prob29
###################################################
#line 1442 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 29")


###################################################
### chunk number 148: prob29
###################################################
#line 1448 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 1442 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#1448#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 29")
#line 1449 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 149: 
###################################################
#line 1464 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob30 <- function(t, y, pars, xi)  {
  list( -1/xi *(y[1]*y[2]-y[1]) )
}
ini <- c(-7/6, NA)
end <- c(3/2, NA)


###################################################
### chunk number 150: 
###################################################
#line 1471 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.1
mod1 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               order = 2, func = Prob30, xi = xi)
xi   <- 0.02
mod2 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               order = 2, func = Prob30, xi = xi)
xi   <- 0.01
mod3 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               order = 2, func = Prob30, xi = xi)


###################################################
### chunk number 151: prob30
###################################################
#line 1482 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 30")


###################################################
### chunk number 152: prob30
###################################################
#line 1488 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 1482 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#1488#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 30")
#line 1489 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 153: 
###################################################
#line 1508 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob31 <- function(t, Y, pars)  {
  with (as.list(Y), {
    dy    <- sin(Tet)
    dTet  <- M
    dM    <- -Q/xi
    T     <- 1/cos (Tet) +xi*Q*tan(Tet)
    dQ    <- 1/xi*((y-1)*cos(Tet)-M*T)
    list(c( dy, dTet, dM, dQ))
  })
}

ini <- c(y = 0, Tet = NA, M = 0, Q = NA)
end <- c(y = 0, Tet = NA, M = 0, Q = NA)


###################################################
### chunk number 154: 
###################################################
#line 1525 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi <-0.1
mod1 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               func = Prob31, atol = 1e-10)
xi <- 0.05
mod2 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               func = Prob31, atol = 1e-10)
xi <- 0.01
mod3 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
               func = Prob31, atol = 1e-10)


###################################################
### chunk number 155: prob31
###################################################
#line 1536 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 31")


###################################################
### chunk number 156: prob31
###################################################
#line 1542 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 1536 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#1542#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 31")
#line 1543 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 157: 
###################################################
#line 1558 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob32 <- function(t, y, pars, xi) {
  list(1/xi*(y[2]*y[3]-y[1]*y[4]))
}
ini <- c(0, 0, NA, NA)
end <- c(1, 0, NA, NA)


###################################################
### chunk number 158: 
###################################################
#line 1565 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi  <- 0.01
mod1 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
              order = 4, func = Prob32, xi = xi)
xi   <- 0.002
mod2 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
              order = 4, func = Prob32, xi = xi)
xi   <- 0.0001
mod3 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
              order = 4, func = Prob32, xi = xi)


###################################################
### chunk number 159: prob32
###################################################
#line 1576 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 32")


###################################################
### chunk number 160: prob32
###################################################
#line 1582 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 1576 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#1582#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 32")
#line 1583 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 161: 
###################################################
#line 1600 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob33 <- function(t, z, pars, xi) {
  list(c( z[2], z[3], z[4], 1/xi*(z[1]*z[4]-z[5]*z[6]),
          z[6], 1/xi*(z[5]*z[2]-z[1]*z[6])))
}
ini <- c(0, 0, NA, NA, -1, NA)
end <- c(0, 0, NA, NA,  1, NA)


###################################################
### chunk number 162: 
###################################################
#line 1608 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi  <- 0.1
mod1 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
              func = Prob33, xi = xi)
xi  <- 0.01
mod2 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
              func = Prob33, xi = xi)
xi  <- 0.001
mod3 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
              func = Prob33, xi = xi)


###################################################
### chunk number 163: prob33
###################################################
#line 1619 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 33")


###################################################
### chunk number 164: prob33
###################################################
#line 1625 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 1619 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#1625#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 33")
#line 1626 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 165: 
###################################################
#line 1643 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob34 <- function(t, y, pars, xi) {
  list(-xi*exp(y[1]))
}
ini <- c(0, NA)
end <- c(0, NA)


###################################################
### chunk number 166: 
###################################################
#line 1650 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi  <- 0.1
mod1 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
              order = 2, func = Prob34, xi = xi)


###################################################
### chunk number 167: 
###################################################
#line 1655 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.01
mod2 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
              order = 2, func = Prob34, xi = xi)


###################################################
### chunk number 168: 
###################################################
#line 1660 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.001
mod3 <- bvptwp(yini = ini, yend = end, x = seq(0, 1, by = 0.01),
              order = 2, func = Prob34, xi = xi)


###################################################
### chunk number 169: prob34
###################################################
#line 1665 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 34")


###################################################
### chunk number 170: prob34
###################################################
#line 1671 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 1665 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#1671#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 34")
#line 1672 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


###################################################
### chunk number 171: 
###################################################
#line 1688 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
Prob35 <- function(x, y, pars, xi) {
  list(c( y[2], 1/xi*(x * y[2]-y[1])))
}
ini <- c(1, NA)
end <- c(2, NA)


###################################################
### chunk number 172: 
###################################################
#line 1695 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi  <- 1
mod1 <- bvptwp(yini = ini, yend = end, x = seq(-1, 1, by = 0.05),
              func = Prob35, xi = xi)


###################################################
### chunk number 173: 
###################################################
#line 1700 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.1
mod2 <- bvptwp(yini = ini, yend = end, x = seq(-1, 1, by = 0.05),
              func = Prob35, xi = xi)


###################################################
### chunk number 174: 
###################################################
#line 1705 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
xi   <- 0.01
mod3 <- bvptwp(yini = ini, yend = end, x = seq(-1, 1, by = 0.05),
              func = Prob35, xi = xi)


###################################################
### chunk number 175: prob35
###################################################
#line 1710 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 35")


###################################################
### chunk number 176: prob35
###################################################
#line 1716 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"
#line 1710 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw#from line#1716#"
plot(mod1, mod2, mod3, which = 1, lty = 1, main = "test problem 35")
#line 1717 "d:/Rcompile/CRANpkg/local/2.12/bvpSolve/inst/doc/bvpTests.Rnw"


